Xerces-C++: XMLGrammarDescription Class Reference

Xerces-C++ 3.3.0

List of all members
XMLGrammarDescription Class Referenceabstract

`#include <xercesc/framework/XMLGrammarDescription.hpp>`

Inheritance diagram for XMLGrammarDescription:

## Public Member Functions
Virtual destructor for derived classes
virtual | ~XMLGrammarDescription ()
| virtual destructor
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## The Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const =0
| getGrammarType
virtual const XMLCh * | getGrammarKey () const =0
| getGrammarKey
MemoryManager * | getMemoryManager () const
| XMLGrammarDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

## ◆ ~XMLGrammarDescription()

virtual XMLGrammarDescription::~XMLGrammarDescription | ( |  | ) |
| virtual

virtual destructor

## ◆ XMLGrammarDescription()

XMLGrammarDescription::XMLGrammarDescription | ( | MemoryManager *const | memMgr = XMLPlatformUtils::fgMemoryManager | ) |
| protected

Hidden Constructors.

## Member Function Documentation

## ◆ getGrammarKey()

virtual const XMLCh * XMLGrammarDescription::getGrammarKey | ( |  | ) | const
| pure virtual

getGrammarKey

## ◆ getGrammarType()

virtual Grammar::GrammarType XMLGrammarDescription::getGrammarType | ( |  | ) | const
| pure virtual

getGrammarType

Implemented in XMLDTDDescription, and XMLSchemaDescription.

## ◆ getMemoryManager()

MemoryManager * XMLGrammarDescription::getMemoryManager | ( |  | ) | const

The documentation for this class was generated from the following file:

- XMLGrammarDescription.hpp